summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2024-10-08 17:31:09 +0200
committerDavid Seifert <soap@gentoo.org>2024-10-08 17:31:09 +0200
commit07292967d34e3ffb4986b0aef66aee97e6f65dcc (patch)
tree9cf9612afb33b7bd35def1f8b2c9e9a7fcf74a27 /eclass
parentfortran-2.eclass: drop support for EAPI 6 (diff)
downloadgentoo-07292967d34e3ffb4986b0aef66aee97e6f65dcc.tar.gz
gentoo-07292967d34e3ffb4986b0aef66aee97e6f65dcc.tar.bz2
gentoo-07292967d34e3ffb4986b0aef66aee97e6f65dcc.zip
gap-pkg.eclass: drop support for EAPI 6
Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gap-pkg.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/gap-pkg.eclass b/eclass/gap-pkg.eclass
index e242cc92e8a3..70a8ed9f7607 100644
--- a/eclass/gap-pkg.eclass
+++ b/eclass/gap-pkg.eclass
@@ -42,6 +42,9 @@
# sci-mathematics/gap in DEPEND as well, and may also want a subslot
# dependency.
+if [[ -z ${_GAP_PKG_ECLASS} ]]; then
+_GAP_PKG_ECLASS=1
+
case ${EAPI} in
8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
@@ -381,8 +384,10 @@ gap-pkg_src_install() {
# usual "find" command doesn't work here because occasionally we
# find *.la files in GAP packages that are not libtool archives
# and should not be deleted.
- find "${ED%/}$(gap-pkg_dir)/bin" -type f -name '*.la' -delete || die
+ find "${ED}$(gap-pkg_dir)/bin" -type f -name '*.la' -delete || die
fi
}
+fi
+
EXPORT_FUNCTIONS src_configure src_compile src_test src_install